;#include "Head.asm"
;        ERRORLEVEL -224         ; vypnuti upozornovani na chyby v trisb
;        ERRORLEVEL -207         ; nezajem o spravne umisteni od okraje...
;;-----------------------------------------------------------------------;
;;     Obsluha preruseni (od TMR0), je potreba zvysit cas o vterinu      ;
;;-----------------------------------------------------------------------;
;Interrupt:
;            movwf   w_temp      ; ulozi registr W <--
;            swapf   STATUS, W   ; ulozi STATUS
;            movwf   status_temp ;  beze zmen priznaku <--
;            swapf   FSR, W      ; ulozi FSR
;            movwf   fsr_temp    ;  beze zmen priznaku <--
;            movlw   sec         ; vytvori ukazatel na registr sec
;            movwf   FSR         ;  (odkaz funguje pres INDF) <--
;     ;       movlw   B'00000000' ; zakazani dalsiho preruseni
;     ;       movwf   INTCON
;newdigit:
;            incf    INDF, f     ; pricte 1 k registru  na ktery INDF odkazuje
;            movlw   sec         ; Zjisti rozdil mezi
;            subwf   FSR, W      ;  sec a FSR a ulozi na W (tzn. ziska odkaz na dalsi registr casu).
;            call    sethi       ; nastavi na W mezni/maximalni hodnotu aktualni jednotky casu
;            subwf   INDF, W     ; bylo teto hodnoty jiz dosazeno?
;            btfss   STATUS, Z   ; skoc jestli ano
;            goto    restore     ; jinak ukonci preruseni
;            clrf    INDF        ; vynuluje cislici
;
;            movlw   hr
;            subwf   FSR, W
;            btfsc   STATUS, Z   ; test pulnoci
;            goto    pulnoc
;
;            incf    FSR, f      ; nastavi odkaz na dalsi registr casu
;            goto    newdigit
;restore:
;            bcf     bit_stavy, 0; do reg bitovych stavu bitu 0 nastavi lichost reg sec
;            btfsc   sec, 0
;            bsf     bit_stavy, 0
;
;            swapf   status_temp,W ; nacti cely
;            movwf   STATUS      ;  STATUS registr <--
;            swapf   fsr_temp, W ; nacti
;            movwf   FSR         ;  cely FSR registr <--
;            swapf   w_temp, f   ; znovupouziti triku na
;            swapf   w_temp, W   ;  vyvolani flagu na registr W <--
;       ;     movlw   B'10100000' ; znovupovoleni preruseni + vynulovani TOIF
;       ;     movwf   INTCON
;            bcf INTCON,T0IF
;            retfie              ; vynuluj GIE a ukonci proceduru
;
;pulnoc:
;            incf    week, f     ; zvys hodnotu aktualniho dne
;            movlw   WEEKMAX
;            subwf   week, W
;        ;    movf    week, W     ; uloz predchozi hodnotu /snad neovlivni Z...   ; zmena
;            btfsc   STATUS, Z   ; bylo jiz dosazeno dalsiho tydne?
;            goto    $+2
;            goto    restore     ; ne - vloz predchozi hodnotu week
;            movlw   D'1'        ; ano - vloz znovu pondeli
;            movwf   week
;            goto    restore
;
;
    end