;#include "Head.asm"
;        ERRORLEVEL -224         ; vypnuti upozornovani na chyby v trisb
;        ERRORLEVEL -207         ; nezajem o spravne umisteni od okraje...
;;-----------------------------------------------------------------------;
;;                              Inicializace                             ;
;;-----------------------------------------------------------------------;
;Init:
;            movlw   B'00000111' ; vypnuti komparatoru
;            movwf   CMCON
;            bsf     STATUS, RP0
;            clrf    TRISA       ; porty A vystupni
;            movlw   B'01111000'
;            movwf   TRISB       ; RB0-RB3 & RB7 vystupni
;            movlw   B'10000100'
;            ;         1         ; zakaz pull-up rezistoru na vstupni piny PORTB
;            ;           0       ; vnitrni zdroj taktu (tzn. krystal/4)
;            ;             0     ; delicka prednastavena TMR0
;            ;              100  ; delicka je nastavena na 1:32 => pri LP 32768Hz preteceni kazdou vterinu
;            movwf   OPTION_REG  ; W do OPTION
;            bcf     STATUS, RP0
;
;            clrf    PORTA       ; vynulovani vystupu na PORTu A
;            clrf    PORTB       ; vynulovani vystupu na PORTu B
;            movlw   D_HR        ; inicializace casu
;            movwf   hr          ; Nastaveni casu jeste pred
;            movlw   D_MIN       ; spustenim preruseni aby
;            movwf   min         ; hodnoty nebyly ovlivneny.
;            movlw   D_SEC
;            movwf   sec
;            movlw   D_WEEK
;            movwf   week
;            movlw   D_STATE
;            movwf   state
;
;            movlw   D'0'
;            call    SendZnak
;
;            movlw   B'10100000' ; GIE & T0IE nastaveny, T0IF vynulovan
;            movwf   INTCON
;            return
    end